package it.integry.integrywmsnative.core.rest.model.documento;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class DocumentoArtDTO {

    private String codMart;
    private String descrizione;
    private String untMis;
    private BigDecimal qtaCnf;
    private ArrayList<String> barcode;
    private boolean flagTracciabilita;
    private boolean flagQtaCnfFissa;
    private BigDecimal giacenza;
    private boolean plu;
    private BigDecimal przVendIva;
    private boolean untMisDigitale;

    public String getCodMart() {
        return codMart;
    }

    public DocumentoArtDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public DocumentoArtDTO setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public DocumentoArtDTO setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public DocumentoArtDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public List<String> getBarcode() {
        return barcode;
    }

    public DocumentoArtDTO setBarcode(ArrayList<String> barcode) {
        this.barcode = barcode;
        return this;
    }

    public boolean isFlagTracciabilita() {
        return flagTracciabilita;
    }

    public DocumentoArtDTO setFlagTracciabilita(boolean flagTracciabilita) {
        this.flagTracciabilita = flagTracciabilita;
        return this;
    }

    public boolean isFlagQtaCnfFissa() {
        return flagQtaCnfFissa;
    }

    public DocumentoArtDTO setFlagQtaCnfFissa(boolean flagQtaCnfFissa) {
        this.flagQtaCnfFissa = flagQtaCnfFissa;
        return this;
    }

    public BigDecimal getGiacenza() {
        return giacenza;
    }

    public DocumentoArtDTO setGiacenza(BigDecimal giacenza) {
        this.giacenza = giacenza;
        return this;
    }

    public boolean isPlu() {
        return plu;
    }

    public DocumentoArtDTO setPlu(boolean plu) {
        this.plu = plu;
        return this;
    }

    public BigDecimal getPrzVendIva() {
        return przVendIva;
    }

    public DocumentoArtDTO setPrzVendIva(BigDecimal przVendIva) {
        this.przVendIva = przVendIva;
        return this;
    }

    public boolean isUntMisDigitale() {
        return untMisDigitale;
    }

    public DocumentoArtDTO setUntMisDigitale(boolean untMisDigitale) {
        this.untMisDigitale = untMisDigitale;
        return this;
    }
}
